Bug 653604 (CVE-2010-4170) - CVE-2010-4170 Systemtap: Insecure loading of modules
Summary: CVE-2010-4170 Systemtap: Insecure loading of modules
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4170
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20101117,repo...
Depends On: 653677 653678 653679 653680 653684 653685 654318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 19:12 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 15:41:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0894 normal SHIPPED_LIVE Important: systemtap security update 2010-11-17 14:38:44 UTC
Red Hat Product Errata RHSA-2010:0895 normal SHIPPED_LIVE Moderate: systemtap security update 2010-11-17 14:54:15 UTC

Description Jan Lieskovsky 2010-11-15 19:12:17 UTC
It was found that systemtap runtime tool (staprun)
did not handle the loading of user specified modules
securely. A local attacker could use this flaw to
escalate their privileges.

References:
[1] http://sources.redhat.com/ml/systemtap/2010-q4/msg00230.html

Upstream changeset:
[2] http://sources.redhat.com/git/gitweb.cgi?p=systemtap.git;a=commit;h=b7565b41228bea196cefa3a7d43ab67f8f9152e2

Acknowledgements:

Red Hat would like to thank Tavis Ormandy for reporting this issue.

Comment 1 Jan Lieskovsky 2010-11-15 19:21:54 UTC
This issue affects the versions of the systemtap package, as shipped
with Red Hat Enterprise Linux 4, 5 and 6.

--

This issue affects the versions of the systemtap package, as shipped
with Fedora release of 12 and 13.

Comment 2 Jan Lieskovsky 2010-11-15 19:43:32 UTC
The CVE identifier of CVE-2010-4170 has been assigned to this issue.

Comment 7 errata-xmlrpc 2010-11-17 14:38:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0894 https://rhn.redhat.com/errata/RHSA-2010-0894.html

Comment 8 errata-xmlrpc 2010-11-17 14:54:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0895 https://rhn.redhat.com/errata/RHSA-2010-0895.html

Comment 9 Huzaifa S. Sidhpurwala 2010-11-17 15:15:13 UTC
Created systemtap tracking bugs for this issue

Affects: fedora-all [bug 654318]


Note You need to log in before you can comment on or make changes to this bug.